> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Update a callout

PATCH https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/apps/{entryId}/callouts/{calloutId}/
Content-Type: application/json

Update an app entry callout

Reference: https://docs.partnerpage.io/api-reference/entry/app-entry/callouts/update-a-callout

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `calloutId` (string, required)
- `entryId` (string, required)

### Body (application/json)

This endpoint expects a PatchedAssignedCalloutSerializerWriterRequest.

- `order` (integer, optional)
- `id` (string, optional)

## Response

### 200

Successful operation

- `href` (string, required)
- `name` (string, required)
- `id` (string, required)
- `order` (integer, optional)
- `textColor` (string, optional, nullable)
- `backgroundColor` (string, optional, nullable)

## Errors

### 400 Bad Request Error

Validation Error

- `any`

### 404 Not Found Error

App entry Callout not found

- `any`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "href": "/api/directory/private/v1alpha/apps/e2b2a65f-0972-4fb4-96bb-498a63411bb6/callouts/cdc0f6d9-9261-4e5d-956f-c980440452b7/",
  "name": "New App Entry Callout",
  "id": "cdc0f6d9-9261-4e5d-956f-c980440452b7",
  "order": 0,
  "textColor": "635BFF",
  "backgroundColor": "E8E6FF"
}
```

**SDK Code**

```python Example response
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/apps/entryId/callouts/calloutId/"

payload = {}
headers = {
    "Authorization": "Token  <apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Example response
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/apps/entryId/callouts/calloutId/';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Token  <apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```